| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyboardHandler Struct Reference

## Public Attributes
GObject | parent_instance
FlKeyboardViewDelegate * | view_delegate
GPtrArray * | responder_list
GPtrArray * | pending_responds
GPtrArray * | pending_redispatches
uint64_t | last_sequence_id
std::unique_ptr< DerivedLayout > | derived_layout
std::unique_ptr< std::map< uint16_t, const LayoutGoal * > > | keycode_to_goals
std::unique_ptr< std::map< uint64_t, const LayoutGoal * > > | logical_to_mandatory_goals
FlMethodChannel * | channel

## Detailed Description

Definition at line 163 of file fl_keyboard_handler.cc.

## Member Data Documentation

## ◆ channel

FlMethodChannel* _FlKeyboardHandler::channel

Definition at line 205 of file fl_keyboard_handler.cc.

## ◆ derived_layout

std::unique_ptr<DerivedLayout> _FlKeyboardHandler::derived_layout

Definition at line 193 of file fl_keyboard_handler.cc.

## ◆ keycode_to_goals

std::unique_ptr<std::map<uint16_t, const LayoutGoal*> > _FlKeyboardHandler::keycode_to_goals

Definition at line 197 of file fl_keyboard_handler.cc.

## ◆ last_sequence_id

uint64_t _FlKeyboardHandler::last_sequence_id

Definition at line 186 of file fl_keyboard_handler.cc.

## ◆ logical_to_mandatory_goals

std::unique_ptr<std::map<uint64_t, const LayoutGoal*> > _FlKeyboardHandler::logical_to_mandatory_goals

Definition at line 202 of file fl_keyboard_handler.cc.

## ◆ parent_instance

GObject _FlKeyboardHandler::parent_instance

Definition at line 164 of file fl_keyboard_handler.cc.

## ◆ pending_redispatches

GPtrArray* _FlKeyboardHandler::pending_redispatches

Definition at line 183 of file fl_keyboard_handler.cc.

## ◆ pending_responds

GPtrArray* _FlKeyboardHandler::pending_responds

Definition at line 178 of file fl_keyboard_handler.cc.

## ◆ responder_list

GPtrArray* _FlKeyboardHandler::responder_list

Definition at line 171 of file fl_keyboard_handler.cc.

## ◆ view_delegate

FlKeyboardViewDelegate* _FlKeyboardHandler::view_delegate

Definition at line 166 of file fl_keyboard_handler.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_keyboard_handler.cc